Bug 1652269

Summary: Replace Nuxwdog
Product: Red Hat Enterprise Linux 8 Reporter: Dinesh Prasanth <dmoluguw>
Component: nuxwdogAssignee: Dinesh Prasanth <dmoluguw>
Status: CLOSED NEXTRELEASE QA Contact: Asha Akkiangady <aakkiang>
Severity: unspecified Docs Contact: Marc Muehlfeld <mmuehlfe>
Priority: unspecified    
Version: 8.0CC: dpunia, edewata, igkioka, jwboyer, lmanasko, mharmsen, mreynolds, pki-team, rpattath
Target Milestone: rcKeywords: TestCaseProvided
Target Release: 8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pki-core-10.6-820190128182152.5a87be8a Doc Type: Known Issue
Doc Text:
.The `nuxwdog` service fails in HSM environments and requires to install the `keyutils` package in non-HSM environments The `nuxwdog` watchdog service has been integrated into Certificate System. As a consequence, `nuxwdog` is no longer provided as a separate package. To use the watchdog service, install the `pki-server` package. Note that the `nuxwdog` service has following known issues: * The `nuxwdog` service does not work if you use a hardware storage module (HSM). For this issue, no workaround is available. * In a non-HSM environment, Red Hat Enterprise Linux 8.0 does not automatically install the `keyutils` package as a dependency. To install the package manually, use the `dnf install keyutils` command.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-02 19:15:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1668954, 1695302    
Bug Blocks: 1638875    

Description Dinesh Prasanth 2018-11-21 18:14:36 UTC
Description of problem:
Try to replace Nuxwdog with an existing component

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 25 Dinesh Prasanth 2019-02-21 08:22:51 UTC
Testing steps: As mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1652269#c7

Run `pki ca-cert-find` to ensure that the server is operating normally. 

Fix in 10_6 Branch:
===================
commit 9ca84ca74cdaf10a8d76d8e046bb785b42f867c2 (HEAD -> DOGTAG_10_6_BRANCH, origin/DOGTAG_10_6_BRANCH)
Author: Dinesh Prasanth M K <SilleBille@users.noreply.github.com>
Date:   Thu Feb 21 13:44:52 2019 +0530

    Fix Nuxwdog to accept HSM password (#172)
    
    Backport of #171 . Fixes regression bug for BZ #1652269
    
    Signed-off-by: Dinesh Prasanth M K <dmoluguw@redhat.com>

via PR: https://github.com/dogtagpki/pki/pull/172


Fix available in master:
========================
commit ab8145654c0a1eb9a3d439f3d1b72ee171e1abda
Author: Dinesh Prasanth M K <SilleBille@users.noreply.github.com>
Date:   Tue Feb 19 19:49:34 2019 +0530

    Fix Nuxwdog to accept HSM password (#171)
    
    Fixes regression bug for BZ #1652269
    
    Signed-off-by: Dinesh Prasanth M K <dmoluguw@redhat.com>

via PR: https://github.com/dogtagpki/pki/pull/171

Comment 39 Dinesh Prasanth 2019-04-03 16:15:10 UTC
@Marc, yes. The doc text looks perfect. Thank you! :)

Comment 42 Dinesh Prasanth 2019-06-17 13:33:02 UTC
Hi Marc,

This issue has been resolved in 8.1.. We already have a BZ to track this bug in 8.1: https://bugzilla.redhat.com/show_bug.cgi?id=1695302

#1695302 also has the doc field filled in :)